﻿// This file is used by Code Analysis to maintain SuppressMessage 
// attributes that are applied to this project.
// Project-level suppressions either have no target or are given 
// a specific target and scoped to a namespace, type, member, etc.
//
// To add a suppression to this file, right-click the message in the 
// Error List, point to "Suppress Message(s)", and click 
// "In Project Suppression File".
// You do not need to add suppressions to this file manually.

using System.Diagnostics.CodeAnalysis;

[assembly:
    SuppressMessage("Microsoft.Usage", "CA2214:DoNotCallOverridableMethodsInConstructors", Scope = "member",
        Target = "Ennf.NetworkModels.BasicFeedForward.BasicFeedForwardNetwork.#.ctor()")]
[assembly: SuppressMessage("Microsoft.Design", "CA1020:AvoidNamespacesWithFewTypes")]
[assembly: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", MessageId = "Backpropagation", Scope = "namespace", Target = "Ennf.LearningRules.SupervisedLearning.ErrorBackpropagation")]
[assembly: SuppressMessage("Microsoft.Design", "CA1062:Validate arguments of public methods", MessageId = "0", Scope = "member", Target = "Ennf.NetworkModels.BasicFeedForward.BasicFeedForwardConnection.#.ctor(Ennf.NetworkModels.BasicFeedForward.BasicFeedForwardNetwork)")]
[assembly: SuppressMessage("Microsoft.Performance", "CA1800:DoNotCastUnnecessarily", Scope = "member", Target = "Ennf.NetworkModels.BasicFeedForward.BasicFeedForwardConnection.#OutputNode")]
[assembly: SuppressMessage("Microsoft.Performance", "CA1800:DoNotCastUnnecessarily", Scope = "member", Target = "Ennf.NetworkModels.BasicFeedForward.BasicFeedForwardConnection.#InputNode")]
[assembly: SuppressMessage("Microsoft.Design", "CA1062:Validate arguments of public methods", MessageId = "0", Scope = "member", Target = "Ennf.NetworkModels.BasicFeedForward.BasicFeedForwardInputConnection.#.ctor(Ennf.NetworkModels.BasicFeedForward.BasicFeedForwardNetwork)")]
[assembly: SuppressMessage("Microsoft.Naming", "CA2204:Literals should be spelled correctly")]
[assembly: SuppressMessage("Microsoft.Performance", "CA1819:PropertiesShouldNotReturnArrays", Scope = "member", Target = "Ennf.NetworkModels.BasicFeedForward.BasicFeedForwardNetwork.#OutputObject")]
[assembly: SuppressMessage("Microsoft.Performance", "CA1800:DoNotCastUnnecessarily", Scope = "member", Target = "Ennf.NetworkModels.BasicFeedForward.BasicFeedForwardNetwork.#LearningRule")]
[assembly: SuppressMessage("Microsoft.Design", "CA1062:Validate arguments of public methods", MessageId = "0", Scope = "member", Target = "Ennf.NetworkModels.BasicFeedForward.BasicFeedForwardOutputConnection.#.ctor(Ennf.NetworkModels.BasicFeedForward.BasicFeedForwardNetwork)")]
[assembly: SuppressMessage("Microsoft.Design", "CA1062:Validate arguments of public methods", MessageId = "0", Scope = "member", Target = "Ennf.Infrastructure.CsvStreamInput.#.ctor(System.Runtime.Serialization.SerializationInfo,System.Runtime.Serialization.StreamingContext)")]
[assembly: SuppressMessage("Microsoft.Design", "CA1062:Validate arguments of public methods", MessageId = "0", Scope = "member", Target = "Ennf.Infrastructure.CsvStreamInput.#GetObjectData(System.Runtime.Serialization.SerializationInfo,System.Runtime.Serialization.StreamingContext)")]
[assembly: SuppressMessage("Microsoft.Design", "CA1062:Validate arguments of public methods", MessageId = "0", Scope = "member", Target = "Ennf.Infrastructure.CsvStreamInput.#ReadInput(System.IO.Stream)")]
[assembly: SuppressMessage("Microsoft.Performance", "CA1812:AvoidUninstantiatedInternalClasses", Scope = "type", Target = "Ennf.DbEntityAdapter.DbFileEntityEntryAdapter`1")]
[assembly: SuppressMessage("Microsoft.Design", "CA1062:Validate arguments of public methods", MessageId = "0", Scope = "member", Target = "Ennf.DbEntityAdapter.DbFileEntityEntryAdapter`1.#Equals(System.Data.Entity.Infrastructure.DbEntityEntry`1<!0>)")]
[assembly: SuppressMessage("Microsoft.Performance", "CA1811:AvoidUncalledPrivateCode", Scope = "member", Target = "Ennf.LearningRules.SupervisedLearning.ErrorBackpropagation.BackpropagationError.#Invariants()")]
[assembly: SuppressMessage("Microsoft.Design", "CA1062:Validate arguments of public methods", MessageId = "0", Scope = "member", Target = "Ennf.LearningRules.SupervisedLearning.ErrorBackpropagation.ErrorBackpropagationRule.#CalculateNewWeights(Ennf.INetwork)")]
[assembly: SuppressMessage("Microsoft.Design", "CA1006:DoNotNestGenericTypesInMemberSignatures", Scope = "member", Target = "Ennf.DbEntityAdapter.IDbEntityEntry`1.#Collection`1(System.Linq.Expressions.Expression`1<System.Func`2<!0,System.Collections.Generic.ICollection`1<!!0>>>)")]
[assembly: SuppressMessage("Microsoft.Design", "CA1006:DoNotNestGenericTypesInMemberSignatures", Scope = "member", Target = "Ennf.DbEntityAdapter.IDbEntityEntry`1.#ComplexProperty`1(System.Linq.Expressions.Expression`1<System.Func`2<!0,!!0>>)")]
[assembly: SuppressMessage("Microsoft.Design", "CA1024:UsePropertiesWhereAppropriate", Scope = "member", Target = "Ennf.DbEntityAdapter.IDbEntityEntry`1.#GetDatabaseValues()")]
[assembly: SuppressMessage("Microsoft.Design", "CA1024:UsePropertiesWhereAppropriate", Scope = "member", Target = "Ennf.DbEntityAdapter.IDbEntityEntry`1.#GetType()")]
[assembly: SuppressMessage("Microsoft.Naming", "CA1716:IdentifiersShouldNotMatchKeywords", MessageId = "GetType", Scope = "member", Target = "Ennf.DbEntityAdapter.IDbEntityEntry`1.#GetType()")]
[assembly: SuppressMessage("Microsoft.Design", "CA1024:UsePropertiesWhereAppropriate", Scope = "member", Target = "Ennf.DbEntityAdapter.IDbEntityEntry`1.#GetValidationResult()")]
[assembly: SuppressMessage("Microsoft.Naming", "CA1716:IdentifiersShouldNotMatchKeywords", MessageId = "Property", Scope = "member", Target = "Ennf.DbEntityAdapter.IDbEntityEntry`1.#Property`1(System.Linq.Expressions.Expression`1<System.Func`2<!0,!!0>>)")]
[assembly: SuppressMessage("Microsoft.Design", "CA1006:DoNotNestGenericTypesInMemberSignatures", Scope = "member", Target = "Ennf.DbEntityAdapter.IDbEntityEntry`1.#Property`1(System.Linq.Expressions.Expression`1<System.Func`2<!0,!!0>>)")]
[assembly: SuppressMessage("Microsoft.Naming", "CA1716:IdentifiersShouldNotMatchKeywords", MessageId = "Property", Scope = "member", Target = "Ennf.DbEntityAdapter.IDbEntityEntry`1.#Property`1(System.String)")]
[assembly: SuppressMessage("Microsoft.Naming", "CA1716:IdentifiersShouldNotMatchKeywords", MessageId = "Property", Scope = "member", Target = "Ennf.DbEntityAdapter.IDbEntityEntry`1.#Property(System.String)")]
[assembly: SuppressMessage("Microsoft.Design", "CA1006:DoNotNestGenericTypesInMemberSignatures", Scope = "member", Target = "Ennf.DbEntityAdapter.IDbEntityEntry`1.#Reference`1(System.Linq.Expressions.Expression`1<System.Func`2<!0,!!0>>)")]
[assembly: SuppressMessage("Microsoft.Design", "CA1024:UsePropertiesWhereAppropriate", Scope = "member", Target = "Ennf.DbEntityAdapter.IDbMemberEntry`2.#GetType()")]
[assembly: SuppressMessage("Microsoft.Naming", "CA1716:IdentifiersShouldNotMatchKeywords", MessageId = "GetType", Scope = "member", Target = "Ennf.DbEntityAdapter.IDbMemberEntry`2.#GetType()")]
[assembly: SuppressMessage("Microsoft.Design", "CA1024:UsePropertiesWhereAppropriate", Scope = "member", Target = "Ennf.DbEntityAdapter.IDbMemberEntry`2.#GetValidationErrors()")]
[assembly: SuppressMessage("Microsoft.Design", "CA1062:Validate arguments of public methods", MessageId = "0", Scope = "member", Target = "Ennf.Functions.ActivationFunctions.IdentityFunction.#Calculate(System.Double[])")]
[assembly: SuppressMessage("Microsoft.Performance", "CA1811:AvoidUncalledPrivateCode", Scope = "member", Target = "Ennf.Utilities.LayerHelper.#Invariants()")]
[assembly: SuppressMessage("Microsoft.Design", "CA1062:Validate arguments of public methods", MessageId = "0", Scope = "member", Target = "Ennf.Functions.ConvergenceSpeedFunctions.MovingAverageConvergenceSpeed.#Calculate(System.Double[])")]
[assembly: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", MessageId = "Tanh", Scope = "type", Target = "Ennf.Functions.ActivationFunctions.TanhFunction")]
[assembly: SuppressMessage("Microsoft.Design", "CA1062:Validate arguments of public methods", MessageId = "0", Scope = "member", Target = "Ennf.Functions.ActivationFunctions.TanhFunction.#Calculate(System.Double[])")]
[assembly: SuppressMessage("Microsoft.Performance", "CA1822:MarkMembersAsStatic", Scope = "member", Target = "Ennf.Utilities.XmlTypeLoader.#LoadObject`1(System.String)")]
[assembly: SuppressMessage("Microsoft.Design", "CA1062:Validate arguments of public methods", MessageId = "0", Scope = "member", Target = "Ennf.Utilities.XmlTypeLoader.#TranslateNetworkFromXml(Ennf.DbEntityAdapter.EnnfTypeNetwork)")]
[assembly: SuppressMessage("Microsoft.Design", "CA1062:Validate arguments of public methods", MessageId = "0", Scope = "member", Target = "Ennf.Utilities.XmlTypeLoader.#TranslateLearningRuleFromXml(Ennf.DbEntityAdapter.LearningRuleType)")]
[assembly: SuppressMessage("Microsoft.Design", "CA1062:Validate arguments of public methods", MessageId = "0", Scope = "member", Target = "Ennf.Utilities.XmlTypeLoader.#TranslateXmlFromLearningRule(Ennf.LearningRules.ILearningRule)")]
[assembly: SuppressMessage("Microsoft.Design", "CA1062:Validate arguments of public methods", MessageId = "0", Scope = "member", Target = "Ennf.Utilities.XmlTypeLoader.#TranslateConvergenceSpeedFunctionFromXml(Ennf.DbEntityAdapter.ConvergenceSpeedFunctionType)")]
[assembly: SuppressMessage("Microsoft.Design", "CA1062:Validate arguments of public methods", MessageId = "0", Scope = "member", Target = "Ennf.Utilities.XmlTypeLoader.#TranslateXmlFromConvergenceSpeedFunction(Ennf.Functions.IConvergenceSpeedFunction)")]
[assembly: SuppressMessage("Microsoft.Design", "CA1062:Validate arguments of public methods", MessageId = "0", Scope = "member", Target = "Ennf.Utilities.XmlTypeLoader.#TranslateErrorFunctionFromXml(Ennf.DbEntityAdapter.ErrorFunctionType)")]
[assembly: SuppressMessage("Microsoft.Design", "CA1062:Validate arguments of public methods", MessageId = "0", Scope = "member", Target = "Ennf.Utilities.XmlTypeLoader.#TranslateXmlFromErrorFunction(Ennf.Functions.IErrorFunction)")]
[assembly: SuppressMessage("Microsoft.Design", "CA1062:Validate arguments of public methods", MessageId = "0", Scope = "member", Target = "Ennf.Utilities.XmlTypeLoader.#TranslateInitializationFunctionFromXml(Ennf.DbEntityAdapter.InitializationFunctionType)")]
[assembly: SuppressMessage("Microsoft.Design", "CA1062:Validate arguments of public methods", MessageId = "0", Scope = "member", Target = "Ennf.Utilities.XmlTypeLoader.#TranslateXmlFromInitializationFunction(Ennf.Functions.IInitializationFunction)")]
[assembly: SuppressMessage("Microsoft.Design", "CA1062:Validate arguments of public methods", MessageId = "0", Scope = "member", Target = "Ennf.Utilities.XmlTypeLoader.#TranslateActivationFunctionFromXml(Ennf.DbEntityAdapter.ActivationFunctionType)")]
[assembly: SuppressMessage("Microsoft.Design", "CA1062:Validate arguments of public methods", MessageId = "0", Scope = "member", Target = "Ennf.Utilities.XmlTypeLoader.#TranslateXmlFromActivationFunction(Ennf.Functions.IActivationFunction)")]
[assembly: SuppressMessage("Microsoft.Design", "CA1062:Validate arguments of public methods", MessageId = "0", Scope = "member", Target = "Ennf.Utilities.XmlTypeLoader.#TranslateConnectionFromXml(Ennf.DbEntityAdapter.EnnfTypeNetworkConnectionsConnectionsConnection)")]
[assembly: SuppressMessage("Microsoft.Design", "CA1062:Validate arguments of public methods", MessageId = "0", Scope = "member", Target = "Ennf.Utilities.XmlTypeLoader.#TranslateInputConnectionFromXml(Ennf.DbEntityAdapter.EnnfTypeNetworkConnectionsInputConnectionsInputConnection)")]
[assembly: SuppressMessage("Microsoft.Design", "CA1062:Validate arguments of public methods", MessageId = "0", Scope = "member", Target = "Ennf.Utilities.XmlTypeLoader.#TranslateOutputConnectionFromXml(Ennf.DbEntityAdapter.EnnfTypeNetworkConnectionsOutputConnectionsOutputConnection)")]
[assembly: SuppressMessage("Microsoft.Design", "CA1062:Validate arguments of public methods", MessageId = "0", Scope = "member", Target = "Ennf.Utilities.XmlTypeLoader.#TranslateNodeFromXml(Ennf.DbEntityAdapter.EnnfTypeNetworkNodesNode)")]
[assembly: SuppressMessage("Microsoft.Design", "CA1062:Validate arguments of public methods", MessageId = "0", Scope = "member", Target = "Ennf.Utilities.XmlTypeLoader.#UnloadObject(System.Object)")]
[assembly: SuppressMessage("Microsoft.Usage", "CA2208:InstantiateArgumentExceptionsCorrectly", Scope = "member", Target = "Ennf.Utilities.LayerHelper.#ConnectLayerToLayer(System.Int32,System.Int32)")]
[assembly: SuppressMessage("Microsoft.Design", "CA1020:AvoidNamespacesWithFewTypes", Scope="namespace", Target="Ennf.Functions.ErrorFunctions")]
[assembly: SuppressMessage("Microsoft.Design", "CA1020:AvoidNamespacesWithFewTypes", Scope = "namespace", Target = "Ennf.Functions.InitializationFunctions")]
[assembly: SuppressMessage("Microsoft.Design", "CA1020:AvoidNamespacesWithFewTypes", Scope = "namespace", Target = "Ennf.Functions.ConvergenceSpeedFunctions")]
[assembly: SuppressMessage("Microsoft.Design", "CA1020:AvoidNamespacesWithFewTypes", Scope = "namespace", Target = "Ennf.Functions.ActivationFunctions")]
[assembly: SuppressMessage("Microsoft.Design", "CA1020:AvoidNamespacesWithFewTypes", Scope = "namespace", Target = "Ennf.LearningRules")]
[assembly: SuppressMessage("Microsoft.Design", "CA1020:AvoidNamespacesWithFewTypes", Scope = "namespace", Target = "Ennf.LearningRules.SupervisedLearning.ErrorBackpropagation")]
[assembly: SuppressMessage("Microsoft.Design", "CA1020:AvoidNamespacesWithFewTypes", Scope = "namespace", Target = "Ennf.Infrastructure")]
[assembly: SuppressMessage("Microsoft.Naming", "CA1703:ResourceStringsShouldBeSpelledCorrectly")]
