﻿/*
 * ennf - Eddie's Neural Network Framework
 * Copyright 2011 Eduard Ralph
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License. 
 */
CREATE TABLE [ennf].[Node]
(
	NodeId int Identity(1,1) NOT NULL,
	Network_Identifier_FK int NOT NULL,
	Address_X int NOT NULL, 
	Address_Y int NOT NULL,
	Address_Z int NOT NULL,
	ActivationFunction nvarchar(4000)
)
