﻿/*
 * ennf - Eddie's Neural Network Framework
 * Copyright 2011 Eduard Ralph
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License. 
 */

using System;
using System.Collections.ObjectModel;
using Ennf;

namespace EnnfTest.NetworkModelsFixture
{
    /// <summary>
    /// This class is used to test the Exception in the network model
    /// </summary>
    internal class TestNetworkModel : INetworkModel
    {
        #region INetworkModel Members

        public INetwork CreateNetwork()
        {
            throw new NotImplementedException();
        }

        public INetwork LoadNetwork(int identifier)
        {
            throw new NotImplementedException();
        }

        public Collection<INetwork> LoadNetwork()
        {
            throw new NotImplementedException();
        }

        public void Save()
        {
            throw new NotImplementedException();
        }

        public void DeleteNetwork(INetwork deletee)
        {
            throw new NotImplementedException();
        }

        public string Name
        {
            get { throw new NotImplementedException(); }
        }

        public IPersistenceModel PersistenceModel
        {
            get { throw new NotImplementedException(); }
            set { throw new NotImplementedException(); }
        }

        #endregion
    }
}