﻿/*
 * ennf - Eddie's Neural Network Framework
 * Copyright 2011 Eduard Ralph
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License. 
 */

using System;
using System.Runtime.Serialization;
using Ennf;

namespace EnnfTest.NetworkModelsFixture
{
    [Serializable]
    public class TestOutput : IOutput
    {
        public TestOutput()
        {
        }

        protected TestOutput(SerializationInfo info, StreamingContext context)
        {
        }

        #region IOutput Members

        public void PutValue(INodeAddress address, double value)
        {
        }

        public virtual void GetObjectData(SerializationInfo info, StreamingContext context)
        {
        }

        #endregion

        public void PutValue(double value)
        {
            throw new NotImplementedException();
        }

        public bool MoveNextResult()
        {
            throw new NotImplementedException();
        }
    }
}