﻿/*
 * ennf - Eddie's Neural Network Framework
 * Copyright 2011 Eduard Ralph
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License. 
 */

using System;
using System.Collections.Generic;
using Ennf;
using Ennf.Functions;
using Ennf.LearningRules;

namespace EnnfTest.NetworkModelsFixture
{
    /// <summary>
    /// Type to create an Exception trying to delete it
    /// </summary>
    internal class UnknownNetworkType : INetwork
    {
        #region INetwork Members

        public ICollection<INode> Nodes
        {
            get { throw new NotImplementedException(); }
        }

        public ICollection<IConnection> Connections
        {
            get { throw new NotImplementedException(); }
        }

        public INetworkModel Parent
        {
            get { throw new NotImplementedException(); }
        }

        public IInput Input
        {
            get { throw new NotImplementedException(); }
            set { throw new NotImplementedException(); }
        }

        public IOutput Output
        {
            get { throw new NotImplementedException(); }
            set { throw new NotImplementedException(); }
        }

        public IInput Target
        {
            get { throw new NotImplementedException(); }
            set { throw new NotImplementedException(); }
        }

        public INode CreateNode()
        {
            throw new NotImplementedException();
        }

        public IConnection CreateConnection()
        {
            throw new NotImplementedException();
        }


        public IInputConnection CreateInputConnection()
        {
            throw new NotImplementedException();
        }


        public ICollection<IInputConnection> InputConnections
        {
            get { throw new NotImplementedException(); }
        }


        public ICollection<IOutputConnection> OutputConnections
        {
            get { throw new NotImplementedException(); }
        }

        public IOutputConnection CreateOutputConnection()
        {
            throw new NotImplementedException();
        }

        public IInitializationFunction InitializationFunction
        {
            get { throw new NotImplementedException(); }
            set { throw new NotImplementedException(); }
        }

        public ILearningRule LearningRule
        {
            get { throw new NotImplementedException(); }
            set { throw new NotImplementedException(); }
        }

        public IErrorFunction ErrorFunction
        {
            get { throw new NotImplementedException(); }
            set { throw new NotImplementedException(); }
        }

        public IConvergenceSpeedFunction ConvergenceSpeedFunction
        {
            get { throw new NotImplementedException(); }
            set { throw new NotImplementedException(); }
        }

        #endregion


        public void Calculate()
        {
            throw new NotImplementedException();
        }

        public void Learn()
        {
            throw new NotImplementedException();
        }

        public string Name
        {
            get { throw new NotImplementedException(); }
            set { throw new NotImplementedException(); }
        }

        public string Description
        {
            get { throw new NotImplementedException(); }
            set { throw new NotImplementedException(); }
        }
    }
}